Page MenuHomePhabricator

Install opencv-data on toollabs
Closed, ResolvedPublic

Description

There is already python-opencv installed on the toolslab, but some applications use the data files provided from OpenCV in the opencv-data package too.
It would be nice to install these so that users do not have to download the data files like haarcascades, and lbpcascades separately.

Details

Related Gerrit Patches:

Event Timeline

AbdealiJK created this task.Aug 7 2016, 5:56 AM
Restricted Application added a project: Cloud-Services. · View Herald TranscriptAug 7 2016, 5:56 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 303416 had a related patch set uploaded (by Merlijn van Deen):
toollabs: install opencv-data (trusty, jessie)

https://gerrit.wikimedia.org/r/303416

scfc assigned this task to valhallasw.Nov 26 2016, 8:35 AM
scfc triaged this task as Medium priority.
scfc moved this task from Triage to Waiting for code review on the Toolforge board.
Dzahn added a subscriber: Dzahn.Dec 14 2016, 6:46 AM

Change 303416 merged by Dzahn:
toollabs: install opencv-data (trusty, jessie)

https://gerrit.wikimedia.org/r/303416

Dzahn added a comment.Jan 3 2017, 10:57 PM

I would confirm this but currently i can't seem to SSH to any tools-exec instance (or the right ones are not in shinken)

Dzahn closed this task as Resolved.EditedJan 4 2017, 12:54 AM

That was my fault not using the right key. All ok. I confirmed it doesn't exist on precise and is installed on trusty now. And there are no jessie instances yet afaict.

root@tools-exec-1407:~# lsb_release -c
Codename:	trusty
root@tools-exec-1407:~# dpkg -l opencv-data
Desired=Unknown/Install/Remove/Purge/Hold
| Status=Not/Inst/Conf-files/Unpacked/halF-conf/Half-inst/trig-aWait/Trig-pend
|/ Err?=(none)/Reinst-required (Status,Err: uppercase=bad)
||/ Name                Version        Architecture   Description
+++-===================-==============-==============-============================================
ii  opencv-data         2.4.8+dfsg1-2u all            development data for opencv